# abra-hetzner

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/abra-hetzner/status.svg?ref=refs/heads/main)](https://drone.autonomic.zone/coop-cloud/abra-hetzner)

Hetzner plugin for `abra`.

## Hacking

You can read the Hetzner Cloud API docs (e.g. [locations endpoint](https://docs.hetzner.cloud/#locations)).

Then you can make requests and see what comes out. These values can then fed into this plugin as configurables.

```bash
$ export API_TOKEN=<hetzner-api-token>
$ curl -H "Authorization: Bearer $API_TOKEN" 'https://api.hetzner.cloud/v1/locations' | jq '.locations | .[] | .name'`
"fsn1"
"nbg1"
"hel1"
```
